#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
%bcond_without	libvisual	# don't build libvisual plugin
%bcond_with	v4l1		# Video4Linux 1 plugin (for Linux < 2.6.35 or so)

%define		gstname		gst-plugins-base
%define		vmajor		1.0
%define		gst_req_ver	1.0.5

Summary:	GStreamer Streaming-media framework base plugins
Summary(pl.UTF-8):	Podstawowe wtyczki do środowiska obróbki strumieni GStreamer
Name:		gstreamer-plugins-base
Version:	1.0.6
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://gstreamer.freedesktop.org/src/gst-plugins-base/%{gstname}-%{version}.tar.xz
# Source0-md5:	7123a7f9955bbf1a5a7bb75192c15427
URL:		http://gstreamer.freedesktop.org/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.11
%{?with_apidocs:BuildRequires:	docbook-dtd412-xml}
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	glib2-devel >= 1:2.32
BuildRequires:	glibc-misc
BuildRequires:	gobject-introspection-devel >= 1.31.1
BuildRequires:	gstreamer-devel >= %{gst_req_ver}
BuildRequires:	gtk+3-devel >= 3.0.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.12}
BuildRequires:	iso-codes
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	orc-devel >= 0.4.16
BuildRequires:	pkgconfig
BuildRequires:	python >= 2.1
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
##
## plugins
##
BuildRequires:	alsa-lib-devel >= 1.0.11
BuildRequires:	cdparanoia-III-devel >= 2:10.2
BuildRequires:	freetype-devel >= 2.1.2
BuildRequires:	libogg-devel >= 2:1.0
BuildRequires:	libtheora-devel >= 1.1
%{?with_libvisual:BuildRequires:	libvisual-devel >= 0.4.0}
BuildRequires:	libvorbis-devel >= 1:1.0
BuildRequires:	pango-devel >= 1:1.22.0
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXv-devel
# old GIR format
BuildConflicts:	gstreamer-plugins-base-devel < 0.10.30
Requires:	glib2 >= 1:2.32
Requires:	gstreamer >= %{gst_req_ver}
Suggests:	iso-codes
# here go all the obsoleted gstreamer plugins
Obsoletes:	gstreamer-artsd
Obsoletes:	gstreamer-audio-effects
Obsoletes:	gstreamer-audiofile
Obsoletes:	gstreamer-audiosink-esd
Obsoletes:	gstreamer-avi
Obsoletes:	gstreamer-cdplayer
Obsoletes:	gstreamer-colorspace
Obsoletes:	gstreamer-festival
Obsoletes:	gstreamer-hal
Obsoletes:	gstreamer-interfaces
Obsoletes:	gstreamer-interleave
Obsoletes:	gstreamer-kio
Obsoletes:	gstreamer-libdvdnav
Obsoletes:	gstreamer-libfame
Obsoletes:	gstreamer-media-info
Obsoletes:	gstreamer-mikmod
Obsoletes:	gstreamer-misc
Obsoletes:	gstreamer-oneton
Obsoletes:	gstreamer-play
Obsoletes:	gstreamer-plugins
Obsoletes:	gstreamer-qcam
Obsoletes:	gstreamer-snapshot
Obsoletes:	gstreamer-tcp
Obsoletes:	gstreamer-tuner
Obsoletes:	gstreamer-v4l
Obsoletes:	gstreamer-vbidec
Obsoletes:	gstreamer-videosink-xv
Obsoletes:	gstreamer-videotest
Obsoletes:	gstreamer-xine
Obsoletes:	gstreamer-xoverlay
Obsoletes:	gstreamer-yuv4mjpeg
Obsoletes:	gtk-loaders-gstreamer
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		gstlibdir 	%{_libdir}/gstreamer-%{vmajor}
%define		gstincludedir	%{_includedir}/gstreamer-%{vmajor}

%description
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related. Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plugins.

%description -l pl.UTF-8
GStreamer to środowisko obróbki danych strumieniowych, bazujące na
grafie filtrów operujących na danych medialnych. Aplikacje używające
tej biblioteki mogą robić wszystko od przetwarzania dźwięku w czasie
rzeczywistym, do odtwarzania filmów i czegokolwiek innego związego z
mediami. Architektura bazująca na wtyczkach pozwala na łatwe dodawanie
nowych typów danych lub możliwości obróbki.

%package devel
Summary:	Include files for GStreamer streaming-media framework plugins
Summary(pl.UTF-8):	Pliki nagłówkowe do wtyczek środowiska obróbki strumieni GStreamer
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.32
Requires:	gstreamer-devel >= %{gst_req_ver}
Obsoletes:	gstreamer-interfaces-devel
Obsoletes:	gstreamer-media-info-devel
Obsoletes:	gstreamer-mixer-devel
Obsoletes:	gstreamer-navigation-devel
Obsoletes:	gstreamer-play-devel
Obsoletes:	gstreamer-plugins-devel
Obsoletes:	gstreamer-tuner-devel
Obsoletes:	gstreamer-xoverlay-devel

%description devel
Include files for GStreamer streaming-media framework plugins.

%description devel -l pl.UTF-8
Pliki nagłówkowe do wtyczek środowiska obróbki strumieni GStreamer.

%package apidocs
Summary:	GStreamer streaming-media framework plugins API documentation
Summary(pl.UTF-8):	Dokumentacja API wtyczek środowiska obróbki strumieni GStreamer
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
GStreamer streaming-media framework plugins API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API wtyczek środowiska obróbki strumieni GStreamer.

##
## Plugins
##

%package -n gstreamer-audiosink-alsa
Summary:	GStreamer plugins for the ALSA sound architecture
Summary(pl.UTF-8):	Wtyczki GStreamera do obsługi architektury ALSA
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	gstreamer-audiosink = %{version}
Obsoletes:	gstreamer-alsa
Obsoletes:	gstreamer-audiosink-alsaspdif

%description -n gstreamer-audiosink-alsa
Input and output plugin for the ALSA soundcard driver architecture.

%description -n gstreamer-audiosink-alsa -l pl.UTF-8
Wtyczka wejścia i wyjścia ze sterowników dźwiękowych architektury ALSA
do GStreamera.

%package -n gstreamer-audio-effects-base
Summary:	GStreamer base audio effects plugins
Summary(pl.UTF-8):	Podstawowe wtyczki efektów dźwiękowych do GStreamera
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	orc >= 0.4.16
Obsoletes:	gstreamer-audio-effects

%description -n gstreamer-audio-effects-base
GStreamer base audio effects plugins.

%description -n gstreamer-audio-effects-base -l pl.UTF-8
Podstawowe wtyczki efektów dźwiękowych do GStreamera.

%package -n gstreamer-cdparanoia
Summary:	GStreamer plugin for CD audio input using CDParanoia IV
Summary(pl.UTF-8):	Wtyczka do GStreamera odtwarzająca płyty CD-Audio przy użyciu CDParanoia IV
Group:		Libraries
#Requires:	gstreamer >= %{gst_req_ver}
# for locales
Requires:	%{name} = %{version}-%{release}

%description -n gstreamer-cdparanoia
Plugin for ripping audio tracks using cdparanoia under GStreamer.

%description -n gstreamer-cdparanoia -l pl.UTF-8
Wtyczka do ripowania ścieżek dźwiękowych pod GStreamerem za pomocą
cdparanoia.

%package -n gstreamer-libvisual
Summary:	GStreamer libvisual plugin
Summary(pl.UTF-8):	Wtyczka libvisual do GStreamera
Group:		Libraries
Requires:	gstreamer >= %{gst_req_ver}

%description -n gstreamer-libvisual
GStreamer libvisual plugin.

%description -n gstreamer-libvisual -l pl.UTF-8
Wtyczka libvisual do GStreamera.

%package -n gstreamer-pango
Summary:	GStreamer pango plugins
Summary(pl.UTF-8):	Wtyczki pango do GStreamera
Group:		Libraries
Requires:	gstreamer >= %{gst_req_ver}
Requires:	pango >= 1:1.22.0

%description -n gstreamer-pango
This package contains textoverlay and timeoverlay GStreamer plugins.

%description -n gstreamer-pango -l pl.UTF-8
Ten pakiet zawiera wtyczki textoverlay i timeoverlay do GStreamera.

%package -n gstreamer-theora
Summary:	GStreamer Ogg Theora plugin
Summary(pl.UTF-8):	Wtyczka Ogg Theora do GStreamera
Group:		Libraries
Requires:	gstreamer >= %{gst_req_ver}
Requires:	libtheora >= 1.1

%description -n gstreamer-theora
GStreamer Ogg Theora plugin.

%description -n gstreamer-theora -l pl.UTF-8
Wtyczka Ogg Theora do GStreamera.

%package -n gstreamer-video4linux
Summary:	GStreamer plugin for Video 4 Linux source
Summary(pl.UTF-8):	Wtyczka GStreamera dla źródła Video 4 Linux
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	udev-glib >= 143

%description -n gstreamer-video4linux
GStreamer plugin for Video 4 Linux source.

%description -n gstreamer-video4linux -l pl.UTF-8
Wtyczka GStreamera dla źródła Video 4 Linux.

%package -n gstreamer-vorbis
Summary:	GStreamer plugin for encoding and decoding Ogg Vorbis audio files
Summary(pl.UTF-8):	Wtyczki do GStreamera kodujące i dekodujące pliki dźwiękowe Ogg Vorbis
Group:		Libraries
#Requires:	gstreamer >= %{gst_req_ver}
# for locales in ogg module
Requires:	%{name} = %{version}-%{release}

%description -n gstreamer-vorbis
Plugins for creating and playing Ogg Vorbis audio files.

%description -n gstreamer-vorbis -l pl.UTF-8
Wtyczki do tworzenia i odtwarzania plików dźwiękowych Ogg Vorbis.

%package -n gstreamer-imagesink-x
Summary:	GStreamer XFree86/X.org output plugin
Summary(pl.UTF-8):	Wtyczka wyjścia obrazu XFree86/X.org dla GStreamera
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	gstreamer-videosink = %{version}

%description -n gstreamer-imagesink-x
Standard XFree86/X.org image sink.

%description -n gstreamer-imagesink-x -l pl.UTF-8
Standardowa wtyczka wyjścia obrazu XFree86/X.org dla GStreamera.

%package -n gstreamer-imagesink-xv
Summary:	GStreamer Xvideo output plugin
Summary(pl.UTF-8):	Wtyczka wyjścia obrazu Xvideo dla GStreamera
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	gstreamer-videosink = %{version}

%description -n gstreamer-imagesink-xv
XFree86/X.org image sink via Xvideo extension.

%description -n gstreamer-imagesink-xv -l pl.UTF-8
Wtyczka wyjścia obrazu Xvideo dla GStreamera.

%prep
%setup -q -n %{gstname}-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4 -I common/m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_libvisual:--disable-libvisual} \
	--disable-examples \
	--disable-silent-rules \
	--disable-static \
	--enable-experimental \
	--enable-gtk-doc%{!?with_apidocs:=no} \
	--enable-orc \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# We don't need plugins' *.la files
%{__rm} $RPM_BUILD_ROOT%{gstlibdir}/*.la
# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgst*.la

%find_lang %{gstname}-%{vmajor}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{gstname}-%{vmajor}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README RELEASE
%attr(755,root,root) %{_bindir}/gst-discoverer-%{vmajor}
%attr(755,root,root) %{_libdir}/libgstapp-%{vmajor}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstapp-%{vmajor}.so.0
%attr(755,root,root) %{_libdir}/libgstaudio-%{vmajor}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstaudio-%{vmajor}.so.0
%attr(755,root,root) %{_libdir}/libgstfft-%{vmajor}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstfft-%{vmajor}.so.0
%attr(755,root,root) %{_libdir}/libgstpbutils-%{vmajor}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstpbutils-%{vmajor}.so.0
%attr(755,root,root) %{_libdir}/libgstriff-%{vmajor}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstriff-%{vmajor}.so.0
%attr(755,root,root) %{_libdir}/libgstrtp-%{vmajor}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstrtp-%{vmajor}.so.0
%attr(755,root,root) %{_libdir}/libgstrtsp-%{vmajor}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstrtsp-%{vmajor}.so.0
%attr(755,root,root) %{_libdir}/libgstsdp-%{vmajor}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstsdp-%{vmajor}.so.0
%attr(755,root,root) %{_libdir}/libgsttag-%{vmajor}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgsttag-%{vmajor}.so.0
%attr(755,root,root) %{_libdir}/libgstvideo-%{vmajor}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstvideo-%{vmajor}.so.0
%{_mandir}/man1/gst-discoverer-%{vmajor}.1*
# plugins with no external dependencies
%attr(755,root,root) %{gstlibdir}/libgstapp.so
%attr(755,root,root) %{gstlibdir}/libgstaudioconvert.so
%attr(755,root,root) %{gstlibdir}/libgstaudiorate.so
%attr(755,root,root) %{gstlibdir}/libgstaudiotestsrc.so
%attr(755,root,root) %{gstlibdir}/libgstencodebin.so
%attr(755,root,root) %{gstlibdir}/libgstgio.so
%attr(755,root,root) %{gstlibdir}/libgstplayback.so
%attr(755,root,root) %{gstlibdir}/libgstsubparse.so
%attr(755,root,root) %{gstlibdir}/libgsttcp.so
%attr(755,root,root) %{gstlibdir}/libgsttypefindfunctions.so
%attr(755,root,root) %{gstlibdir}/libgstvideoconvert.so
%attr(755,root,root) %{gstlibdir}/libgstvideorate.so
%attr(755,root,root) %{gstlibdir}/libgstvideoscale.so
%attr(755,root,root) %{gstlibdir}/libgstvideotestsrc.so
%{_libdir}/girepository-1.0/GstApp-%{vmajor}.typelib
%{_libdir}/girepository-1.0/GstAudio-%{vmajor}.typelib
%{_libdir}/girepository-1.0/GstFft-%{vmajor}.typelib
%{_libdir}/girepository-1.0/GstPbutils-%{vmajor}.typelib
%{_libdir}/girepository-1.0/GstRiff-%{vmajor}.typelib
%{_libdir}/girepository-1.0/GstRtp-%{vmajor}.typelib
%{_libdir}/girepository-1.0/GstRtsp-%{vmajor}.typelib
%{_libdir}/girepository-1.0/GstSdp-%{vmajor}.typelib
%{_libdir}/girepository-1.0/GstTag-%{vmajor}.typelib
%{_libdir}/girepository-1.0/GstVideo-%{vmajor}.typelib
%{_datadir}/gst-plugins-base

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgstapp-%{vmajor}.so
%attr(755,root,root) %{_libdir}/libgstaudio-%{vmajor}.so
%attr(755,root,root) %{_libdir}/libgstfft-%{vmajor}.so
%attr(755,root,root) %{_libdir}/libgstpbutils-%{vmajor}.so
%attr(755,root,root) %{_libdir}/libgstriff-%{vmajor}.so
%attr(755,root,root) %{_libdir}/libgstrtp-%{vmajor}.so
%attr(755,root,root) %{_libdir}/libgstrtsp-%{vmajor}.so
%attr(755,root,root) %{_libdir}/libgstsdp-%{vmajor}.so
%attr(755,root,root) %{_libdir}/libgsttag-%{vmajor}.so
%attr(755,root,root) %{_libdir}/libgstvideo-%{vmajor}.so
%{gstincludedir}/gst/app
%{gstincludedir}/gst/audio
%{gstincludedir}/gst/fft
%{gstincludedir}/gst/pbutils
%{gstincludedir}/gst/riff
%{gstincludedir}/gst/rtp
%{gstincludedir}/gst/rtsp
%{gstincludedir}/gst/sdp
%{gstincludedir}/gst/tag
%{gstincludedir}/gst/video
%{_pkgconfigdir}/gstreamer-app-%{vmajor}.pc
%{_pkgconfigdir}/gstreamer-audio-%{vmajor}.pc
%{_pkgconfigdir}/gstreamer-fft-%{vmajor}.pc
%{_pkgconfigdir}/gstreamer-pbutils-%{vmajor}.pc
%{_pkgconfigdir}/gstreamer-plugins-base-%{vmajor}.pc
%{_pkgconfigdir}/gstreamer-riff-%{vmajor}.pc
%{_pkgconfigdir}/gstreamer-rtp-%{vmajor}.pc
%{_pkgconfigdir}/gstreamer-rtsp-%{vmajor}.pc
%{_pkgconfigdir}/gstreamer-sdp-%{vmajor}.pc
%{_pkgconfigdir}/gstreamer-tag-%{vmajor}.pc
%{_pkgconfigdir}/gstreamer-video-%{vmajor}.pc
%{_datadir}/gir-1.0/GstApp-%{vmajor}.gir
%{_datadir}/gir-1.0/GstAudio-%{vmajor}.gir
%{_datadir}/gir-1.0/GstFft-%{vmajor}.gir
%{_datadir}/gir-1.0/GstPbutils-%{vmajor}.gir
%{_datadir}/gir-1.0/GstRiff-%{vmajor}.gir
%{_datadir}/gir-1.0/GstRtp-%{vmajor}.gir
%{_datadir}/gir-1.0/GstRtsp-%{vmajor}.gir
%{_datadir}/gir-1.0/GstSdp-%{vmajor}.gir
%{_datadir}/gir-1.0/GstTag-%{vmajor}.gir
%{_datadir}/gir-1.0/GstVideo-%{vmajor}.gir

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gst-plugins-base-libs-%{vmajor}
%{_gtkdocdir}/gst-plugins-base-plugins-%{vmajor}
%endif

##
## Plugins
##

%files -n gstreamer-audiosink-alsa
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstalsa.so

%files -n gstreamer-audio-effects-base
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstadder.so
%attr(755,root,root) %{gstlibdir}/libgstaudioresample.so
%attr(755,root,root) %{gstlibdir}/libgstvolume.so

%files -n gstreamer-cdparanoia
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstcdparanoia.so

%if %{with libvisual}
%files -n gstreamer-libvisual
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstlibvisual.so
%endif

%files -n gstreamer-pango
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstpango.so

%files -n gstreamer-theora
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgsttheora.so

%if %{with v4l1}
%files -n gstreamer-video4linux
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstvideo4linux.so
%endif

%files -n gstreamer-vorbis
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstvorbis.so
%attr(755,root,root) %{gstlibdir}/libgstogg.so

%files -n gstreamer-imagesink-x
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstximagesink.so

%files -n gstreamer-imagesink-xv
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstxvimagesink.so
%changelog
* Thu Mar 28 2013 Jakub Bogusz <qboosh@pld-linux.org> 851bbdf
- updated to 1.0.6
- removed obsolete am patch

* Wed Jan 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 67a80d2
- added am patch (fixes build with automake 1.13)

* Wed Jan 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 4893d6d
- updated to 1.0.5

* Sat Dec 22 2012 Jakub Bogusz <qboosh@pld-linux.org> b65e54b
- updated to 1.0.4

* Sat Nov 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 213b9f8
- updated to 1.0.3

* Sun Oct 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 7bdc882
- updated to 1.0.2

* Tue Oct 09 2012 Jakub Bogusz <qboosh@pld-linux.org> 10e5468
- updated to 1.0.1

* Tue Oct 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 0fe8634
- O: gstreamer-audiosink-esd, gstreamer-hal (dropped packages)

* Sun Sep 30 2012 Jakub Bogusz <qboosh@pld-linux.org> 3c79c21
- some BR/R versions update
- drop .la files, .pc files contain dependencies now

* Sat Sep 29 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 25e9bc5
Updated to 1.0.0

* Thu Sep 06 2012 Łukasz Kieś <kiesiu@pld-linux.org> 6a3401f
- updated to 0.11.93; new API 1.0
- gnomevfs is not supported
- use gtk+3 not gtk+2
- it could be installed in parallel with 0.10 API

* Sun Jul 08 2012 hawk <hawk@pld-linux.org> b0d8442
- release 2

* Wed Feb 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 8937db8
- updated to 0.10.36
- removed obsolete bashish patch

* Sat Jun 18 2011 Jakub Bogusz <qboosh@pld-linux.org> 778d67b
- updated to 0.10.35

* Sun May 15 2011 Jakub Bogusz <qboosh@pld-linux.org> e604a4d
- updated to 0.10.34
- v4l1 plugin disabled by default

* Sat Jan 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 80ccf6d
- gstreamer-audiosink-alsa O: gstreamer-audiosink-alsaspdif (with device=spdif)

* Sat Jan 22 2011 Jakub Bogusz <qboosh@pld-linux.org> b948a26
- Suggests: iso-codes (used by libgsttag)

* Sat Jan 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 6789144
- updated to 0.10.32

* Fri Dec 10 2010 Jakub Bogusz <qboosh@pld-linux.org> e964f5d
- updated to 0.10.31
- removed obsolete Makefile patch

* Mon Sep 06 2010 Elan Ruusamäe <glen@pld-linux.org> e92bb8d
- libgstvolume.so needs orc_program_append_2 symbol, add runtime dep

